function [x , y , p1z1 , p1z2 , p2z1 , p2z2] = prusecik(p1,p2)


x1 = [p1(1,2):0.2:p1(end,2)]';
y1 = interp1(p1(:,2),p1(:,3),x1,'spline');


x2 = [p2(1,2):0.2:p2(end,2)]';
y2 = interp1(p2(:,2),p2(:,3),x2,'spline');

[x,y] = polyxpoly(x1,y1,x2,y2);


%[x,y] = polyxpoly(p1(:,2),p1(:,3),p2(:,2),p2(:,3)); %pruseck jako pruseck prmek

%---------------------------------------------------------

a = p1;
a(end+1,2) = x;
a(end  ,3) = y;


a = sortrows(a,2);
[n,pom] = size(a);

for i=1:n
    if(a(i,1) == 0)
        
        dm = (  (a(i+1,2) - a(i-1,2))^2 + (a(i+1,3) - a(i-1,3))^2  )^0.5; %vzdlenost mezi body sousedcmi s pruseckem
        dp = (  (   x     - a(i-1,2))^2 + (   y     - a(i-1,3))^2  )^0.5; %vzdlenost od predchozho bodu k pruseciku
        
        Np = a(i-1,7);
        Nn = a(i+1,7);
        
        p1z1 = Np + (Nn - Np) * dp / dm;
        p1z2 = 0;
        

    end
end




a = p2;
a(end+1,2) = x;
a(end  ,3) = y;

a = sortrows(a,2);
[n,pom] = size(a);

for i=1:n
    if(a(i,1) == 0)
        
        
        dm = (  (a(i+1,2) - a(i-1,2))^2 + (a(i+1,3) - a(i-1,3))^2  )^0.5; %vzdlenost mezi body sousedcmi s pruseckem
        dp = (  (   x     - a(i-1,2))^2 + (   y     - a(i-1,3))^2  )^0.5; %vzdlenost od predchozho bodu k pruseciku
        
        Np = a(i-1,7);
        Nn = a(i+1,7);
        
        p2z1 = Np + (Nn - Np) * dp / dm;
        p2z2 = 0;
        
       
    end
end
